# $Revision: 1.4 $, $Date: 2006/10/26 00:10:31 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Filter
%define		pnam	Template
Summary:	Filter::Template - source filter for inline code templates
Summary(pl):	Filter::Template - filtr kodu rdowego dla szablonw kodu inline
Name:		perl-Filter-Template
Version:	1.02
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Filter/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	15aa7b46d94c2dcd9fe0acc8914943df
URL:		http://search.cpan.org/dist/Filter-Template/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Filter::Template is a Perl source filter that provides simple inline
source code templates. Inlined source code can be significantly faster
than subroutines, especially for small-scale functions like accessors
and mutators. On the other hand, they are more difficult to maintain
and use. Choose your trade-offs wisely.

%description -l pl
Filter::Template to filtr kodu rdowego Perla udostpniajcy proste
szablony kodu rdowego inline. Kod rdowy inline moe by znaczco
szybszy ni podprocedury, zwaszcza dla maych funkcji takich jak
accessor czy mutator. Z drugiej strony s one duo trudniejsze w
utrzymywaniu i uywaniu. Trzeba dokona mdrego wyboru.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/Filter/Template.pm
%dir %{perl_vendorlib}/Filter/Template
%{perl_vendorlib}/Filter/Template/UseBytes.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Filter-Template.spec,v $
Revision 1.4  2006/10/26 00:10:31  ankry
-= rel. 1

Revision 1.3  2006/07/20 20:32:48  qboosh
- descs, cleanup

Revision 1.2  2006/07/16 20:43:26  agaran
- missing rights

Revision 1.1  2006/07/11 21:01:46  agaran
- initial, ugly, builds here, version 1.02, rel 0.1 (needed by POE upgrade)
